Subject: Re: [alsa-devel] linux-next: Tree for Oct 17 (soundwire)

From: Pierre-Louis Bossart <[email-masked]>
Date: Thu, 17 Oct 2019 12:31:47 -0500

On 10/17/19 10:22 AM, Randy Dunlap wrote:
> On 10/16/19 9:26 PM, Stephen Rothwell wrote:
>> Hi all,
>>
>> Changes since 20191016:
>>
> 
> on x86_64:
> 
> # CONFIG_BLOCK is not set
> 
>    CC [M]  drivers/soundwire/intel_init.o
> In file included from ../drivers/soundwire/intel_init.c:12:0:
> ../include/linux/iomap.h: In function ‘iomap_sector’:
> ../include/linux/iomap.h:76:48: error: ‘SECTOR_SHIFT’ undeclared (first use in this function); did you mean ‘SECTIONS_SHIFT’?
>    return (iomap->addr + pos - iomap->offset) >> SECTOR_SHIFT;
>                                                  ^~~~~~~~~~~~
>                                                  SECTIONS_SHIFT

Yes, looks like by fixing cross-compilation issues I added new ones.
We can either add an explicit dependency on CONFIG_BLOCK or remove the 
use of ioread32() and use readl() instead. I didn't write the initial 
code and I have no idea what the intent behind using ioread32 was.